%ifarch x86_64
%define gtm_dist /opt/lsb-gtm/V5.3-003_x86_64
%else
%define gtm_dist /opt/lsb-gtm/V5.3-003_i686
%endif

Name:		openvista-libs-5.3003
Version:	0.8.2
Release:	1
Summary:	GT.M External Calls for OpenVista
License:	AGPL
Vendor:		Medsphere Systems Corporation
URL:		https://medsphere.org/community/project/gtm
Group:		Applications/System
Packager:	Jonathan Tai <jon.tai@medsphere.com>

Provides:	openvista-libs

Requires(post):		/usr/sbin/semanage, /sbin/restorecon
Requires(postun):	/usr/sbin/semanage

Requires:	fis-gtm-5.3003
BuildRequires:	fis-gtm-5.3003

Obsoletes:	openvista-libs

Source:		openvista-libs-5.3003-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root

%description
OpenVista is a cost-effective, open, trusted and complete EHR which enhances
patient safety, increases clinical and operational efficiency and provides an
opportunity to improve quality of care delivery.

This package provides a shared library that OpenVista code running in GT.M
calls out to for PAM authentication and duplicating a device onto a spawned
child's stdin/stdout.  This package also provides an suid wrapper around GT.M
utilities used to send signals to other GT.M processes.

%prep
%setup

%build
cd src/libopenvista
./compile.sh

cd ../../

cd src/gtmsignal
./compile.sh

%install
rm -rf %{buildroot}

install -d %{buildroot}%{gtm_dist}
install -m 550 src/libopenvista/libopenvista.so %{buildroot}%{gtm_dist}
install -m 440 src/libopenvista/openvista.xc %{buildroot}%{gtm_dist}
install -m 4550 src/gtmsignal/gtmsignal %{buildroot}%{gtm_dist}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%doc COPYING.AGPL
%doc NEWS
%defattr(-,bin,gtm)
%{gtm_dist}/libopenvista.so
%{gtm_dist}/openvista.xc
%defattr(-,root,gtm)
%{gtm_dist}/gtmsignal

%post
# See http://fedoraproject.org/wiki/PackagingDrafts/SELinux
/usr/sbin/semanage fcontext -a -t textrel_shlib_t %{gtm_dist}/libopenvista.so 2>/dev/null || :
/sbin/restorecon %{gtm_dist}/libopenvista.so || :

%postun
# See http://fedoraproject.org/wiki/PackagingDrafts/SELinux
if [ $1 -eq 0 ]; then
    /usr/sbin/semanage fcontext -d -t textrel_shlib_t %{gtm_dist}/libopenvista.so 2>/dev/null || :
fi
