Name:		openvista-utils
Version:	0.8.2
Release:	1
Summary:	Utilities for configuring and managing OpenVista
License:	AGPL
Vendor:		Medsphere Systems Corporation
URL:		https://medsphere.org/community/project/gtm
Group:		Applications/System
Packager:	Jonathan Tai <jon.tai@medsphere.com>

Requires(pre):		/usr/sbin/useradd
Requires(post):		/sbin/chkconfig, /sbin/service
Requires(preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel, /sbin/service

Requires:	/bin/bash, coreutils, openssh, /usr/bin/logger, /usr/bin/rsync, /bin/tar, /usr/bin/bzip2, /usr/bin/find, vixie-cron
Requires:	fis-gtm, openvista-libs
Requires:	httpd, mod_ssl, pam
BuildRequires:	pam-devel

# RPM should have a suggests tag...
# Suggests:	/usr/bin/puttygen, bash-completion, /usr/bin/pbzip2

Obsoletes:	openvista-webdav-config

Source0:	openvista-utils-%{version}.tar.bz2
Source1:	webdav.conf
Source2:	openvista
BuildRoot:	%{_tmppath}/%{name}-root

%description
OpenVista is a cost-effective, open, trusted and complete EHR which enhances
patient safety, increases clinical and operational efficiency and provides an
opportunity to improve quality of care delivery.

This package provides command-line utilities that aid in configuring and
managing OpenVista instances. 

%prep
%setup

%build
cd src/ovauth
./compile.sh

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/openvista
install scripts/usr/lib/openvista/functions %{buildroot}%{_libdir}/openvista

install -d %{buildroot}%{_sbindir}/
install scripts/usr/sbin/ovinstanceadd %{buildroot}%{_sbindir}/
install scripts/usr/sbin/ovinstancedel %{buildroot}%{_sbindir}/
install scripts/usr/sbin/ovrestore %{buildroot}%{_sbindir}/

install -d %{buildroot}%{_bindir}/
install scripts/usr/bin/openvista %{buildroot}%{_bindir}/
install scripts/usr/bin/ovtied %{buildroot}%{_bindir}/
install scripts/usr/bin/ovcc %{buildroot}%{_bindir}/
install scripts/usr/bin/ovbackup %{buildroot}%{_bindir}/
install scripts/usr/bin/ovpurgejournals %{buildroot}%{_bindir}/
install scripts/usr/bin/ovswitchjournals %{buildroot}%{_bindir}/
install scripts/usr/bin/ovimport %{buildroot}%{_bindir}/

install -d %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovinstanceadd.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovinstancedel.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovrestore.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/openvista.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovtied.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovcc.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovbackup.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovpurgejournals.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovswitchjournals.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man1/ovimport.1 %{buildroot}%{_mandir}/man1/
gzip %{buildroot}%{_mandir}/man1/ovinstanceadd.1
gzip %{buildroot}%{_mandir}/man1/ovinstancedel.1
gzip %{buildroot}%{_mandir}/man1/ovrestore.1
gzip %{buildroot}%{_mandir}/man1/openvista.1
gzip %{buildroot}%{_mandir}/man1/ovtied.1
gzip %{buildroot}%{_mandir}/man1/ovcc.1
gzip %{buildroot}%{_mandir}/man1/ovbackup.1
gzip %{buildroot}%{_mandir}/man1/ovpurgejournals.1
gzip %{buildroot}%{_mandir}/man1/ovswitchjournals.1
gzip %{buildroot}%{_mandir}/man1/ovimport.1

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d/
install scripts/etc/init.d/openvista-databases %{buildroot}%{_sysconfdir}/rc.d/init.d/
install scripts/etc/init.d/openvista %{buildroot}%{_sysconfdir}/rc.d/init.d/

install -d %{buildroot}%{_sysconfdir}/bash_completion.d/
install -m 644 scripts/etc/bash_completion.d/openvista %{buildroot}%{_sysconfdir}/bash_completion.d/

install -d %{buildroot}%{_sysconfdir}/cron.d/
install -m 644 scripts/etc/cron.d/openvista %{buildroot}%{_sysconfdir}/cron.d/

install -d %{buildroot}%{_sysconfdir}/cron.daily/
install scripts/etc/cron.daily/openvista %{buildroot}%{_sysconfdir}/cron.daily/

install -d %{buildroot}/opt/openvista

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/

install -d %{buildroot}%{_sysconfdir}/httpd/conf
touch %{buildroot}%{_sysconfdir}/httpd/conf/webdav.htpasswd

install -d %{buildroot}/var/www/html/webdav

install -d %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/

install -d %{buildroot}/sbin
install -m 4550 src/ovauth/ovauth %{buildroot}/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%doc COPYING.AGPL
%doc NEWS
%{_libdir}/openvista/functions
%{_sbindir}/ovinstanceadd
%{_sbindir}/ovinstancedel
%{_sbindir}/ovrestore
%{_bindir}/openvista
%{_bindir}/ovtied
%{_bindir}/ovcc
%{_bindir}/ovbackup
%{_bindir}/ovpurgejournals
%{_bindir}/ovswitchjournals
%{_bindir}/ovimport
%{_mandir}/man1/ovinstanceadd.1*
%{_mandir}/man1/ovinstancedel.1*
%{_mandir}/man1/ovrestore.1*
%{_mandir}/man1/openvista.1*
%{_mandir}/man1/ovtied.1*
%{_mandir}/man1/ovcc.1*
%{_mandir}/man1/ovbackup.1*
%{_mandir}/man1/ovpurgejournals.1*
%{_mandir}/man1/ovswitchjournals.1*
%{_mandir}/man1/ovimport.1*
%{_sysconfdir}/rc.d/init.d/openvista-databases
%{_sysconfdir}/rc.d/init.d/openvista
%{_sysconfdir}/bash_completion.d/openvista
%config %{_sysconfdir}/cron.d/openvista
%{_sysconfdir}/cron.daily/openvista
%attr(2750,root,openvista) %dir /opt/openvista
%{_sysconfdir}/httpd/conf.d/webdav.conf
%config %{_sysconfdir}/httpd/conf/webdav.htpasswd
%dir /var/www/html/webdav
%{_sysconfdir}/pam.d/openvista
%attr(4550,root,openvista) /sbin/ovauth

%pre
/usr/sbin/useradd -G gtm openvista 2> /dev/null || :

%post
/sbin/chkconfig --add openvista-databases
/sbin/chkconfig openvista-databases on
/sbin/chkconfig --add openvista
/sbin/chkconfig openvista on

/sbin/service httpd reload > /dev/null 2>&1 || :

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del openvista-databases
    /sbin/chkconfig --del openvista
fi

%postun
if [ $1 = 0 ]; then
    /usr/sbin/userdel openvista 2> /dev/null || :

    # if there are no users in the openvista group (other than the openvista
    # user), userdel will delete the group, but if there *are* other users, we
    # need to explicitly call groupdel
    /usr/sbin/groupdel openvista 2> /dev/null || :
fi

/sbin/service httpd reload > /dev/null 2>&1 || :

